Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Interface Constants

    public interface Constants

Static String constants

Author:
  Pinaki Poddar

Field Summary
`static String` | `ATTR_CLASS`
`static String` | `ATTR_HREF`
`static String` | `ATTR_ID`
`static String` | `ATTR_KEY_TYPE`
`static String` | `ATTR_MEMBER_TYPE`
`static String` | `ATTR_NAME`
`static String` | `ATTR_NULL`
`static String` | `ATTR_PROPERTY_KEY`
`static String` | `ATTR_PROPERTY_VALUE`
`static String` | `ATTR_REL`
`static String` | `ATTR_SRC`
`static String` | `ATTR_STYLE`
`static String` | `ATTR_TYPE`
`static String` | `ATTR_VALUE_TYPE`
`static String` | `ATTR_VERSION`
`static String` | `DOJO_BASE_URL` Dojo Toolkit URL and Themes
`static String` | `DOJO_THEME`
`static String` | `ELEMENT_DESCRIPTION`
`static String` | `ELEMENT_ENTRY`
`static String` | `ELEMENT_ENTRY_KEY`
`static String` | `ELEMENT_ENTRY_VALUE`
`static String` | `ELEMENT_ERROR_HEADER`
`static String` | `ELEMENT_ERROR_MESSAGE`
`static String` | `ELEMENT_ERROR_TRACE`
`static String` | `ELEMENT_INSTANCE`
`static String` | `ELEMENT_MEMBER`
`static String` | `ELEMENT_NULL_REF`
`static String` | `ELEMENT_PROPERTY`
`static String` | `ELEMENT_REF`
`static String` | `ELEMENT_URI`
`static String` | `JAXP_SCHEMA_LANGUAGE`
`static String` | `JAXP_SCHEMA_SOURCE`
`static String` | `JEST_INSTANCE_XSD` JEST resources
`static String` | `MIME_TYPE_CSS`
`static String` | `MIME_TYPE_JS`
`static String` | `MIME_TYPE_JSON`
`static String` | `MIME_TYPE_PLAIN` Mime Types
`static String` | `MIME_TYPE_XML`
`static String` | `NULL_VALUE`
`static String` | `QUALIFIER_FORMAT` Common Command Qualifiers
`static String` | `QUALIFIER_PLAN`
`static String` | `ROOT_ELEMENT_ERROR`
`static String` | `ROOT_ELEMENT_INSTANCE` Root element of XML instances.
`static String` | `ROOT_ELEMENT_MODEL` Root element of XML meta-model.
`static String` | `ROOT_ELEMENT_PROPERTIES` Elements and attributes in properties XML.

Field Detail

### QUALIFIER_FORMAT

    static final String QUALIFIER_FORMAT

  Common Command Qualifiers

  See Also:
    Constant Field Values

### QUALIFIER_PLAN

    static final String QUALIFIER_PLAN

See Also:
  Constant Field Values

### MIME_TYPE_PLAIN

    static final String MIME_TYPE_PLAIN

  Mime Types

  See Also:
    Constant Field Values

### MIME_TYPE_JS

    static final String MIME_TYPE_JS

See Also:
  Constant Field Values

### MIME_TYPE_CSS

    static final String MIME_TYPE_CSS

See Also:
  Constant Field Values

### MIME_TYPE_XML

    static final String MIME_TYPE_XML

See Also:
  Constant Field Values

### MIME_TYPE_JSON

    static final String MIME_TYPE_JSON

See Also:
  Constant Field Values

### DOJO_BASE_URL

    static final String DOJO_BASE_URL

  Dojo Toolkit URL and Themes

  See Also:
    Constant Field Values

### DOJO_THEME

    static final String DOJO_THEME

See Also:
  Constant Field Values

### ROOT_ELEMENT_INSTANCE

    static final String ROOT_ELEMENT_INSTANCE

  Root element of XML instances. Must match the name defined in Constant Field Values

### ATTR_ID

    static final String ATTR_ID

See Also:
  Constant Field Values

### ATTR_REL

    static final String ATTR_REL

See Also:
  Constant Field Values

### ATTR_SRC

    static final String ATTR_SRC

See Also:
  Constant Field Values

### ATTR_TYPE

    static final String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_NAME

    static final String ATTR_NAME

See Also:
  Constant Field Values

### ATTR_VERSION

    static final String ATTR_VERSION

See Also:
  Constant Field Values

### ATTR_CLASS

    static final String ATTR_CLASS

See Also:
  Constant Field Values

### ATTR_HREF

    static final String ATTR_HREF

See Also:
  Constant Field Values

### ATTR_STYLE

    static final String ATTR_STYLE

See Also:
  Constant Field Values

### ATTR_NULL

    static final String ATTR_NULL

See Also:
  Constant Field Values

### ATTR_MEMBER_TYPE

    static final String ATTR_MEMBER_TYPE

See Also:
  Constant Field Values

### ATTR_KEY_TYPE

    static final String ATTR_KEY_TYPE

See Also:
  Constant Field Values

### ATTR_VALUE_TYPE

    static final String ATTR_VALUE_TYPE

See Also:
  Constant Field Values

### ROOT_ELEMENT_PROPERTIES

    static final String ROOT_ELEMENT_PROPERTIES

  Elements and attributes in properties XML.

  See Also:
    Constant Field Values

### ELEMENT_PROPERTY

    static final String ELEMENT_PROPERTY

See Also:
  Constant Field Values

### ATTR_PROPERTY_KEY

    static final String ATTR_PROPERTY_KEY

See Also:
  Constant Field Values

### ATTR_PROPERTY_VALUE

    static final String ATTR_PROPERTY_VALUE

See Also:
  Constant Field Values

### ROOT_ELEMENT_ERROR

    static final String ROOT_ELEMENT_ERROR

See Also:
  Constant Field Values

### ELEMENT_ERROR_HEADER

    static final String ELEMENT_ERROR_HEADER

See Also:
  Constant Field Values

### ELEMENT_ERROR_MESSAGE

    static final String ELEMENT_ERROR_MESSAGE

See Also:
  Constant Field Values

### ELEMENT_ERROR_TRACE

    static final String ELEMENT_ERROR_TRACE

See Also:
  Constant Field Values

### ROOT_ELEMENT_MODEL

    static final String ROOT_ELEMENT_MODEL

  Root element of XML meta-model. Must match the name defined in Constant Field Values

### ELEMENT_INSTANCE

    static final String ELEMENT_INSTANCE

See Also:
  Constant Field Values

### ELEMENT_URI

    static final String ELEMENT_URI

See Also:
  Constant Field Values

### ELEMENT_DESCRIPTION

    static final String ELEMENT_DESCRIPTION

See Also:
  Constant Field Values

### ELEMENT_REF

    static final String ELEMENT_REF

See Also:
  Constant Field Values

### ELEMENT_NULL_REF

    static final String ELEMENT_NULL_REF

See Also:
  Constant Field Values

### ELEMENT_MEMBER

    static final String ELEMENT_MEMBER

See Also:
  Constant Field Values

### ELEMENT_ENTRY

    static final String ELEMENT_ENTRY

See Also:
  Constant Field Values

### ELEMENT_ENTRY_KEY

    static final String ELEMENT_ENTRY_KEY

See Also:
  Constant Field Values

### ELEMENT_ENTRY_VALUE

    static final String ELEMENT_ENTRY_VALUE

See Also:
  Constant Field Values

### JEST_INSTANCE_XSD

    static final String JEST_INSTANCE_XSD

  JEST resources

  See Also:
    Constant Field Values

### JAXP_SCHEMA_SOURCE

    static final String JAXP_SCHEMA_SOURCE

See Also:
  Constant Field Values

### JAXP_SCHEMA_LANGUAGE

    static final String JAXP_SCHEMA_LANGUAGE

See Also:
  Constant Field Values

### NULL_VALUE

    static final String NULL_VALUE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.